Subject: Re: LRO: Straight Six

From: [email-masked]
Date: Fri, 29 Jun 2001 19:25:34 EDT

Mark Pilkington <[email-masked]> wrote:

<< Does anyone know what a good running 80,000 mile 2.6 Land Rover Straight 
Six engine is worth. It is out of the vehicle. >>

Should be worth a bit more than scrap iron, as it contains a lot of brass and 
aluminum which will scrap out at more pennies to the pound.  Real value, of 
course, will depend on whether you are buying or selling, and/or how much you 
want one (or want to get rid of one).  

The few LR 2.6 sixes I have known were ready for overhaul between 60,000 and 
80,000 miles.  Be sure to check for cracked block (caused by water freezing 
in coolant passages).  I have seen these and still have a few parts salvaged 
off of one with a cracked block.  

Paul Donohue
1965 Land Rover 109
Denver